<?php
/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//友情链接控制类
class FlinkAction extends CommonAction{
	private $flink;
		//数据初始化
	public function __construct(){
		parent::__construct();
		$this->flink = new FlinkModel();

	}
		//检测数据是否合法
	public function check($post){
		$rs = true;
		if(!val::check($post['webname'])){
			$this->msg('网站名称不能为空');
			$rs = false;
		}

		if(!val::check($post['user'])){
			$this->msg('站长名字不能为空');
			$rs = false;
		}

		if(!val::check($post['phone'])){
			$this->msg('联系方式不能为空');
			$rs = false;
		}

		if(!val::check($post['weburl'])){
			$this->msg('网站地址不能为空');
			$rs = false;
		}

		if(!val::match($post['weburl'], "/http\:\/\//")){
			$this->msg('网站地址不正确');
			$rs = false;
		}

		return $rs;

	}
	//链接排序
	public function ord(){
		if(isset($_POST['sub'])){
			if($this->flink->ord($_POST)){
				$this->msg('链接排序成功');
			}else{
				$this->msg('数据保持原样');
			}
		}
	}
	//删除链接
	public function del(){
		if(isset($_GET['id'])){
			if($this->flink->delete($_GET['id'])){
				$this->msg('删除链接成功');
			}else{
				$this->msg('删除链接失败');
			}
		}
	}
	//修改链接
	public function update(){
		if($this->check($_POST)){
			if($this->flink->update($_POST)){
				$this->msg('修改链接成功');
			}else{
				$this->msg('修改链接失败');
			}
		}
	}
	//获取链接ID并修改
	public function mod(){
		if(isset($_GET['id'])){
			$list = $this->flink->list_one($_GET['id']);
			if(!$list){
				$this->msg('该链接不存在，或者已经被删除');
			}
		}

		$this->assign("list", $list);
		$this->display();
	}
	//显示链接列表
	public function index(){
		if(isset($_GET['id']) && isset($_GET['commt'])){
			$data['id'] = $_GET['id'];
			$data['commt'] = $_GET['commt'];
			$this->flink->update($data);
		}

		$page = new Page($this->flink->flink_total(), 15);
		$this->assign("page", $page->pageinfo());
		$this->assign("list", $this->flink->nums($page->limit));
		$this->display();
	}
	//添加链接
	public function add(){
		if(isset($_POST['sub'])){
			if($this->check($_POST)){
				if($this->flink->insert($_POST)){
					$this->msg('添加友情链接成功');
				}else{
					$this->msg('添加友情链接失败');
				}
			}
		}

		$this->display();
	}

}

?>